Bug 124118 - Old Hungarian letters doesn't appeared in typing time, produce tofus under KDE.
Summary: Old Hungarian letters doesn't appeared in typing time, produce tofus under KDE.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
: 123965 (view as bug list)
Depends on:
Blocks: RTL-CTL KDE
  Show dependency treegraph
 
Reported: 2019-03-16 15:52 UTC by Kovács Viktor
Modified: 2019-06-22 17:59 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document with Old Hungarian settings (7.90 KB, application/vnd.oasis.opendocument.text)
2019-06-03 16:56 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kovács Viktor 2019-03-16 15:52:33 UTC
Description:
Under Linux LibreOffice 6.2.1.2 typing Old Hungarian letters appeared as tofus. Tester fonts have these glyphs.
Inserting letters work correctly.
It is an RTL script.
Windows version works correctly

Actual Results:
When I type Old Hungarian letters appeared as tofus.
Testable font:
https://github.com/googlei18n/noto-fonts/blob/master/hinted/NotoSansOldHungarian-Regular.ttf

Expected Results:
During typing would appeare these letters (as RTL fonts)


Reproducible: Always


User Profile Reset: No



Additional Info:
6.1 version of LibreOffice already worked.
There is an Old Hungarian keyboard layout since xkeyboard-config release 2.22 as extra layout of Hungarian layouts. If additional keyboards aren't enabled, need to  enable.
Previous version of LibreOffice, or Windows version use CTL "none" settings for this script.
Help-About:
Version: 6.2.1.2
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Kovács Viktor 2019-03-16 15:55:56 UTC
*** Bug 123965 has been marked as a duplicate of this bug. ***
Comment 2 Kovács Viktor 2019-04-19 11:27:25 UTC
I tested on Gnome desktop. It works correctly in that case.
cc:All
Question: Our bug?
Comment 3 Kovács Viktor 2019-04-28 07:19:20 UTC
cc:Xisco
cc:Áron
cc:László
Could anyone check me back, whether under KDE don't appear Old Hungarian letters during typing, just make tofus?
There is an useable font:
https://github.com/googlefonts/noto-fonts/tree/master/phaseIII_only/unhinted/ttf/NotoSansOldHungarian

Old Hungarian layout defined in xkeyboard-config 2.22, within the extras.

There is a document, which describe Old Hungarian script (U10c80-U10cff) is an RTL script:
http://www.unicode.org/roadmaps/smp/

Thanks:
Viktor
Comment 4 Johann A Seemann 2019-04-30 11:24:00 UTC
I tried LibreOffice 6.2.3 on KDE. It seems, the bug is valid.
Comment 5 Kovács Viktor 2019-05-01 08:33:53 UTC
cc:Xisco
cc:Áron
cc:László
cc:Johann
On the following desktop managers was tested and LO's Old Hungarian capability correctly works during typing:
Cinammon
MATE
Xfce
Gnome

Question: there are any other desktop managers and could you test it?
Comment 6 Xisco Faulí 2019-05-02 07:34:45 UTC
Hi Kovács,
Does it work in LibreOffice daily build ? it contains many fixes for KDE not backported to LibreOffice 6.2...
Comment 7 Kovács Viktor 2019-05-03 14:09:44 UTC
(In reply to Xisco Faulí from comment #6)
> Hi Kovács,
> Does it work in LibreOffice daily build ? it contains many fixes for KDE not
> backported to LibreOffice 6.2...

Not exactly. I tried LibreOffice 6.2 dev version dated 03.05.2019 installed by deb packages.
It must to work RTL setting as "None". I think, it would be better to signed as "new" or "under leading in".
Comment 8 Kovács Viktor 2019-05-03 14:16:18 UTC
Hi Xisco!
My familyname is "Kovács". I setted my name during registration as it in Hungary use. 
I'm sorry about it.
Viktor
Comment 9 Kovács Viktor 2019-05-03 14:20:38 UTC
Under KDE still doesn't work correctly.
Comment 10 Kovács Viktor 2019-05-08 18:25:22 UTC
cc:All
I tested the LO under LXQT (lubuntu), and the problem was the same as with KDE.
Is It maybe Qt-bug?
Comment 11 Michael Weghorn 2019-05-08 18:38:31 UTC
(In reply to Kovács Viktor from comment #10)
> cc:All
> I tested the LO under LXQT (lubuntu), and the problem was the same as with
> KDE.
> Is It maybe Qt-bug?

Thanks for testing. Can you please paste the version info from "Help" -> "About LibreOffice" here that you get in LXQt? If relevant packages are installed, the "kde5" VCL plugin is used on LXQt as well, so this may still be related to it.
Comment 12 Kovács Viktor 2019-05-08 19:00:31 UTC
(In reply to Michael Weghorn from comment #11)
> (In reply to Kovács Viktor from comment #10)
> > cc:All
> > I tested the LO under LXQT (lubuntu), and the problem was the same as with
> > KDE.
> > Is It maybe Qt-bug?
> 
> Thanks for testing. Can you please paste the version info from "Help" ->
> "About LibreOffice" here that you get in LXQt? If relevant packages are
> installed, the "kde5" VCL plugin is used on LXQt as well, so this may still
> be related to it.

I'm sorry, lubuntu works with it correctly:
Version: 6.2.4.0.0+
Build ID: 4def21a89a90c642a4bf516c171564b0b578734f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-05-03_03:33:46
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Kovács Viktor 2019-05-08 19:14:18 UTC
(In reply to Michael Weghorn from comment #11)
> (In reply to Kovács Viktor from comment #10)
> > cc:All
> > I tested the LO under LXQT (lubuntu), and the problem was the same as with
> > KDE.
> > Is It maybe Qt-bug?
> 
> Thanks for testing. Can you please paste the version info from "Help" ->
> "About LibreOffice" here that you get in LXQt? If relevant packages are
> installed, the "kde5" VCL plugin is used on LXQt as well, so this may still
> be related to it.

With this doesn't work correctly on KDE the OLd Hungarian typing

Version: 6.2.4.0.0+
Build ID: 4def21a89a90c642a4bf516c171564b0b578734f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-05-03_03:33:46
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 14 Michael Weghorn 2019-05-09 07:09:23 UTC
Thanks. Sounds like an issue with the kde5 VCL plugin then.

@Viktor: Not being familiar with that topic, I currently don't really know how to reproduce this. Can you possibly give a step-by-step description on how to set up everything to test this, e.g.

1) download the font from https://github.com/googlei18n/noto-fonts/blob/master/hinted/NotoSansOldHungarian-Regular.ttf and save it at ...
2) "open ..., make this and that setting", or "run this and that command",...
3) start LibreOffice Writer
4) ... (how would one type the actual letters?)
Comment 15 Kovács Viktor 2019-05-09 12:28:49 UTC
(In reply to Michael Weghorn from comment #14)
> Thanks. Sounds like an issue with the kde5 VCL plugin then.
> 
> @Viktor: Not being familiar with that topic, I currently don't really know
> how to reproduce this. Can you possibly give a step-by-step description on
> how to set up everything to test this, e.g.
> 
1) download the font from
 https://github.com/googlei18n/noto-fonts/blob/master/hinted/NotoSansOldHungarian-Regular.ttf and install it with a font-installer
2) start the "system settings", choose the keyboard settings.
3) press the "add" button.
4) choose in the first drop-down box to any languages
5) choose in the second drop-down box the main layout "Hungarian"
6) choose in the third drop-down box the "Old Hungarian" sub layout variant (It will be appear only when the extra layouts enabled!)
7) start the LibreOffice Writer
8) choose the Tools->Options->Language settings->Language menu and set the CTL language to "None" (It would be better as "new" or "under leading in" in my opinion. Khaled coded this capability first.)
9) choose the Format->Character menu, and set the CTL font variant to "Noto Sans OldHung"
10) choose the "Old Hungarian" keyboard layout, and type "ablak".
It will be make tofus.

Test after resolve the bug:
Type the text "ablak" in the Writer with "Old Hungarian" layout. It must to appear this text: 𐳀𐳂𐳖𐳀𐳓 
Never mind, if in your browser appear tofus, after the font installation will
be readable (I use Firefox on Linux).
The bug is given NOT ONLY on Writer!
Comment 16 Michael Weghorn 2019-05-09 20:35:08 UTC
Thanks for the detailed description!
Comment 17 Jan-Marek Glogowski 2019-06-03 16:56:01 UTC
Created attachment 151879 [details]
Example document with Old Hungarian settings

On Debian Buster the font is in fonts-noto-core.
In KDE you can simply use the keyboard switcher tray icon (kcmshell5 kcm_keyboard; Layouts; Layout indicator and configure layouts").
Comment 18 Commit Notification 2019-06-06 15:41:43 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7140da917bbe80ad39610fdac28f03859f089461%5E%21

tdf#124118 Qt5 post non-code keys via ExtTextInput

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-06-06 21:36:17 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/47caedee74fd5a66f89a062fa0997be473bd56e2%5E%21

tdf#124118 Qt5 post non-code keys via ExtTextInput

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Kovács Viktor 2019-06-21 16:16:28 UTC
Works on: 6.4.0.0alpha, but not works on Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 21 Kovács Viktor 2019-06-22 17:14:12 UTC
Jan-Marek Glogowski's patch is working.
Is it possible backport to earlier version of LibreOffice than 6.0.0.1?
Comment 22 Jan-Marek Glogowski 2019-06-22 17:58:25 UTC
(In reply to Kovács Viktor from comment #21)
> Jan-Marek Glogowski's patch is working.
> Is it possible backport to earlier version of LibreOffice than 6.0.0.1?

This is just a fix for the new qt5 / kde5 code added in 6.2. The code depends on many other fixes, so it won't even be fixed in 6.2.

If it's broken in 6.0 you have a different bug, but probably that 6.0.0.1 is a typo, as you claim it just happens in 6.2 as earliest affected, which makes sense. 6.0 is EOL, so no fix there anyway.

(In reply to Kovács Viktor from comment #20)
> Works on: 6.4.0.0alpha, but not works on Version: 6.3.0.0.beta1
> Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b

AFAIK the patch was merged after the 6.3 beta (commit date was 2019-06-06). Can't check for sure, as git claims it doesn't know the build id, which is strange.

And since there are no 6.3 daily builds you can't check either.

I reset this bug to FIXED, as you say it works with 6.4. And I reset the summary. No version information should go there.

Please open a new report when 6.3 is out and it's still broken there.
Comment 23 Jan-Marek Glogowski 2019-06-22 17:59:40 UTC
Verified in comment 20 for 6.4. Thanks for that.